package de.intevation.flys.client.shared.model;

import java.io.Serializable;


/**
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
public class StyleSetting implements Serializable {

    /**The settings name.*/
    protected String name;

    /** The default value.*/
    protected String defaultValue;

    /**The display name*/
    protected String displayName;

    /**Hints.*/
    protected String hints;

    /**The type*/
    protected String type;

    public StyleSetting() {
    }

    public StyleSetting(
        String name,
        String defaultValue,
        String displayName,
        String hints,
        String type)
    {
        this.name = name;
        this.defaultValue = defaultValue;
        this.displayName = displayName;
        this.hints = hints;
        this.type = type;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setDefaultValue(String value) {
        this.defaultValue = value;
    }

    public void setDisplayName(String name) {
        this.displayName = name;
    }

    public void setHints(String hints) {
        this.hints = hints;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getName() {
        return this.name;
    }

    public String getDefaultValue() {
        return this.defaultValue;
    }

    public String getDisplayName() {
        return this.displayName;
    }

    public String getHints() {
        return this.hints;
    }

    public String getType() {
        return this.type;
    }
}

// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
